Добавить кошелек контрагента
Path Parameters 📌
Parameter
Type
Description
Body Parameters 📝
Field
Type
Description
Пример тела запроса 📝
Важно ⚠️
Last updated
Was this helpful?
Last updated
Was this helpful?
Was this helpful?
{
"currency": "USDT",
"network": "TRC20",
"name": "name1",
"isSubWallet": true
}{
"currency": "TRX",
"network": "TRC20",
"subId": 3,
"name": "test",
"client": {
"id": 35,
"createdAt": "2024-12-06T14:11:02.675Z",
"updatedAt": "2024-12-09T09:16:03.190Z",
"clientId": 35,
"uuid": "f44c3c11-f5ff-4d18-b735-d81afa1d5df3",
"email": "[email protected]",
"name": "PLbedbedeebecffa",
"rootUnitId": 6,
"unitId": 4,
"isExternalParam": false,
"wallets": [
{
"id": 189,
"createdAt": "2024-12-06T14:11:02.994Z",
"updatedAt": "2025-07-08T12:54:20.094Z",
"subId": null,
"clientId": 35,
"unitId": null,
"invoiceId": null,
"name": "PL-b9e0db4e-908d-4e3e-8b37-13317ec5ffa8",
"currency": "TRX",
"network": "TRC20",
"balance": "0",
"transit_balance": "0",
"service_fee_balance": "0",
"walletAddress": "TTJW3idzSZ47DEdkamNXnPd1EDbfZvsSNh",
"riskScore": 0,
"total_deposits": "12000000"
},
],
"labels": []
},
"walletAddress": "TWHhjRSKBuwaVHsS9onDiC8tyEdfEGNYzS",
"clientId": 35,
"unitId": null,
"invoiceId": null,
"id": 2672,
"createdAt": "2025-11-03T14:22:16.901Z",
"updatedAt": "2025-11-03T14:22:16.901Z",
"balance": "0",
"transit_balance": "0",
"service_fee_balance": "0",
"riskScore": 0,
"total_deposits": "0"
}{
"statusCode": 400,
"message": "Cannot create sub-wallet before main wallet"
}
// exists
{
"statusCode": 400,
"message": "Wallet {currency} {network} already exist"
}